PetSelector.debug = false
PetSelector.L = LibStub("AceLocale-3.0"):GetLocale("PetSelector")
PetSelector.GT = LibStub("LibGroupTalents-1.0")

--only react to game events for Hunters - not a lot of point otherwise
if select(2, UnitClass("player")) == "HUNTER" then

	PetSelector.frame:RegisterEvent("ADDON_LOADED")
	PetSelector.frame:RegisterEvent("PLAYER_LOGIN")
	PetSelector.frame:SetScript("OnEvent", function(...) PetSelector:eventHandler(...) end)
	
end

local L = PetSelector.L

PetSelector.PlayerLevel = UnitLevel("player")
PetSelector.Buffs = {false}
PetSelector.talents = {}
PetSelector.exclude = {}

--List of exotic pets
PetSelector.ExoticPets = {
	L["Chimaera"],
	L["Core Hound"],
	L["Devilsaur"],
	L["Rhino"],
	L["Shale Spider"],
	L["Silithid"],
	L["Spirit Beast"],
	L["Worm"],
}

--Pet buff priority
PetSelector.PetBuffs = {
	[1] = {L["Core Hound"]},
	[2] = {L["Shale Spider"]},
	[3] = {L["Silithid"]},
	[4] = {L["Raptor"], L["Serpent"]},
	[5] = {L["Devilsaur"], L["Wolf"]},
	[6] = {L["Worm"], L["Ravager"]},
	[7] = {L["Dragonhawk"], L["Wind Serpent"]},
	[8] = {L["Cat"], L["Spirit Beast"]},
	[9] = {L["Hyena"], L["Rhino"], L["Boar"]},
	[10] = {L["Sporebat"]},
	[11] = {L["Fox"], L["Tallstrider"]},
	[12] = {L["Carrion Bird"], L["Bear"]},
}

--Spell ID of the relevant pet buff
PetSelector.PetInfo = {
	[1] = {L["Core Hound"], 90355},
	[2] = {L["Shale Spider"], 90363},
	[3] = {L["Silithid"], 90364},
	[4] = {L["Raptor"], 50498},
	[5] = {L["Serpent"], 35387},
	[6] = {L["Devilsaur"], 90309},
	[7] = {L["Wolf"], 24604},
	[8] = {L["Worm"], 55749},
	[9] = {L["Ravager"], 50518},
	[10] = {L["Dragonhawk"], 34889},
	[11] = {L["Wind Serpent"], 24844},
	[12] = {L["Spirit Beast"], 93435},
	[13] = {L["Cat"], 93435},
	[14] = {L["Hyena"], 50271},
	[15] = {L["Rhino"], 57386},
	[16] = {L["Boar"], 35290},
	[17] = {L["Sporebat"], 50274},
	[18] = {L["Fox"], 90314},
	[19] = {L["Tallstrider"], 50285},
	[20] = {L["Carrion Bird"], 24423},
	[21] = {L["Bear"], 50256},
	[22] = {L["Bat"], 50519},
	[23] = {L["Beetle"], 90339},
	[24] = {L["Bird of Prey"], 91644},
	[25] = {L["Chimaera"], 54644},
	[26] = {L["Crab"], 50245},
	[27] = {L["Crocolisk"], 50433},
	[28] = {L["Dog"], 90327},
	[29] = {L["Gorilla"], 26090},
	[30] = {L["Monkey"], 90337},
	[31] = {L["Moth"], 50318},
	[32] = {L["Nether Ray"], 50479},
	[33] = {L["Scorpid"], 50541},
	[34] = {L["Spider"], 4167},
	[35] = {L["Turtle"], 26064},
	[36] = {L["Warp Stalker"], 35346},
	[37] = {L["Wasp"], 56626},
}

--Raid buffs in priority order, who can provide them
--and what talent spec, talents they need
-- {class, tree, talent, spellid, hordespellid}
PetSelector.PlayerBuffs = {
	[1] = {
		{"SHAMAN", nil, nil, 32182, 2825},
		{"MAGE", nil, nil, 80353},
		{"HUNTER", nil, nil, L["Core Hound"]},
	},
	[2] = {
		{"DRUID", nil, nil, 1126},
		{"PALADIN", nil, nil, 20217},
		{"HUNTER", nil, nil, L["Shale Spider"]},
	},
	[3] = {
		{"PRIEST", nil, nil, 21562},
		{"WARLOCK", 3, nil, 6307},
		{"WARRIOR", nil, nil, 469},
		{"HUNTER", nil, nil, L["Silithid"]},
	},
	[4] = {
		{"DRUID", nil, nil, 770},
		{"WARRIOR", nil, nil, 7386},
		{"ROGUE", nil, nil, 8647},
		{"HUNTER", nil, nil, L["Raptor"]},
	},
	[5] = {
		{"DRUID", 2, 17007, 17007},
		{"WARRIOR", 2, 29801, 29801},
		{"SHAMAN", 1, 51470, 51470},
		{"ROGUE", 3, 51701, 51701},
		{"HUNTER", nil, nil, L["Wolf"]},
	},
	[6] = {
		{"WARRIOR", 1, 29859, 29859},
		{"ROGUE", 2, 58413, 58413},
		{"DEATHKNIGHT", 2, 81328, 81328},
		{"HUNTER", nil, nil, L["Ravager"]},
	},
	[7] = {
		{"WARLOCK", nil, nil, 1490},
		{"ROGUE", 1, 58410, 58410},
		{"DEATHKNIGHT", 3, 51160, 51160},
		{"DRUID", 1, 48506, 48506},
		{"HUNTER", nil, nil, L["Dragonhawk"]},
	},
	[8] = {
		{"WARRIOR", nil, nil, 6673},
		{"DEATHKNIGHT", nil, nil, 57330},
		{"SHAMAN", 2, nil, 8075},
		{"HUNTER", nil, nil, L["Cat"]},
	},
	[9] = {
		{"DRUID", 2, nil, 33878},
		{"WARRIOR", 1, 29859, 29859},
		{"ROGUE", 3, 16511, 16511},
		{"HUNTER", nil, nil, L["Hyena"]},
	},
	[10] = {
		{"WARLOCK", nil, nil, 1714},
		{"DEATHKNIGHT", nil, nil, 73975},
		{"MAGE", 1, 31589, 31589},
		{"HUNTER", nil, nil, L["Sporebat"]},
	},
	[11] = {
		{"DEATHKNIGHT", 2, nil, 45477},
		{"SHAMAN", 1, nil, 8042},
		{"DRUID", 2, 48484, 48484},
		{"PALADIN", 2, 53696, 53696},
		{"WARRIOR", nil, nil, 6343},
		{"HUNTER", nil, nil, L["Fox"]},
	},
	[12] = {
		{"WARRIOR", nil, nil, 1160},
		{"WARLOCK", nil, nil, 702},
		{"DRUID", 2, nil, 99},
		{"DEATHKNIGHT", 1, 81132, 81132},
		{"PALADIN", 2, 26016, 26016},
		{"HUNTER", nil, nil, L["Carrion Bird"]},
	},
}

StaticPopupDialogs["PETSELECTOR_STABLED"] = {
	text = "",
	button1 = _G.OKAY,
	timeout = 0,
	whileDead = 1,
	hideOnEscape = 1
}